Bug 224288 - [PATCH] editors/libreoffice: update to 6.0.2
Summary: [PATCH] editors/libreoffice: update to 6.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on: 224282 224283 224284
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-12 17:49 UTC by Greg V
Modified: 2018-03-17 06:34 UTC (History)
11 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
libreoffice6.patch (16.62 KB, patch)
2017-12-12 17:49 UTC, Greg V
no flags Details | Diff
libreoffice6.patch v2 (24.38 KB, patch)
2018-01-31 16:26 UTC, Greg V
no flags Details | Diff
libreoffice6.patch v3 (26.10 KB, patch)
2018-02-21 18:50 UTC, Greg V
no flags Details | Diff
libreoffice6.patch v4 (26.09 KB, patch)
2018-02-21 19:31 UTC, Greg V
no flags Details | Diff
change disto-pack-install target to use the already-present install-strip target (707 bytes, patch)
2018-02-22 14:54 UTC, Greg Veldman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-12-12 17:49:42 UTC
Created attachment 188766 [details]
libreoffice6.patch

Hi. This is a work-in-progress update of the LibreOffice port to version 6.0, which is now in beta.

Installation/packaging doesn't work right now, I'm seeing weird C parsing errors:

/usr/ports/editors/libreoffice/work/libreoffice-6.0.0.0.beta2/bin/distro-install-desktop-integration                                                         
/usr/include/signal.h:90: syntax error, unexpected RESTRICT, expecting ')' or ',' in 'int sigwait(const sigset_t * _Nonnull restrict,' at 'restrict'    
/usr/include/signal.h:91: syntax error, unexpected ')', expecting identifier or '(' or '*' or ';' in '     int * _Nonnull restrict);' at ')'                 
/usr/include/signal.h:110: syntax error, unexpected identifier, expecting ')' in 'void (* _Nullable sigset(int, void (* _Nullable)(int)))(int);' at 'sigset'
/usr/include/signal.h:110: syntax error, unexpected ')', expecting ',' or ';' in 'void (* _Nullable sigset(int, void (* _Nullable)(int)))(int);' at ')'      
/usr/include/pthread.h:154: syntax error, unexpected RESTRICT, expecting ')' or ',' in '      const pthread_attr_t * _Nonnull restrict,' at 'restrict'

But I can run it directly from the stage directory like this:

$ work/stage/usr/local/lib/libreoffice/program/soffice --writer

And it works — actually, it works natively under Wayland! :)

Can someone help me with the install problem? I'm not sure how this error even happens, just running the C preprocessor on these headers of course works fine…

Notes:

- pdfium is disabled. We have patches for that in www/chromium but I'm not sure how to best apply them (pdfium is extracted in the build process, after the normal patch step);
- I put system cppunit in there, but upgrading the system cppunit (bug 224286) would break other ports, since cppunit dropped the cppunit-config binary. Might make sense to use bundled cppunit here, but I'll look into unbreaking these ports;
- GTK3 is no longer experimental. Ubuntu has been shipping GTK3 LibreOffice since 16.10. I made it default;
- enabled NSS by default in the xmlsec port (bug 224282), using system NSS.
Comment 1 Greg V 2018-01-31 16:26:11 UTC
Created attachment 190227 [details]
libreoffice6.patch v2

IT'S RELEASE TIME!

https://wiki.documentfoundation.org/ReleaseNotes/6.0

The distro-install-desktop-integration went away. The package builds successfully! cppunit is bundled again.

This still depends on bug 224282 and bug 224284.
Comment 2 Li-Wen Hsu freebsd_committer 2018-02-08 16:03:41 UTC
I try to build it with patch in bug 224284, it seems doesn't find python:

https://gist.github.com/e224fa97481abba4464a72d40f8a097f

I do see it has USE= python but I haven't looked into it.  May I suggest you try to setup a poudriere instance and try to test port in it?

Som other few points:

- textproc/libqxp00 needs to be added to LIB_DEPENDS
- bug 224286 is closed, do we still need cppunit bundled in this port?
- There seems a unneed comment after "DISTFILES+=" section
Comment 3 Greg Veldman 2018-02-20 15:40:39 UTC
If upgrading to major version 6, this should probably go to 6.0.1 instead of 6.0.0 per bug 225797.  I haven't attempted to build this change on my test system yet, but if I do I may try updating the patch accordingly.  Just wanted to get it on the record in the meantime though.
Comment 4 Greg Veldman 2018-02-21 01:24:03 UTC
(In reply to Li-Wen Hsu from comment #2)

I got the Python error with my test build as well.  Looks like the issue is that solenv/bin/pack_images.py uses #!/usr/bin/env python.  I could patch it to use python2, but I instead added python:lang/python to BUILD_DEPENDS, with this it builds cleanly for me.
Comment 5 Li-Wen Hsu freebsd_committer 2018-02-21 10:11:26 UTC
I would suggest using USES=shebangfix
Comment 6 Greg V 2018-02-21 18:50:49 UTC
Created attachment 190865 [details]
libreoffice6.patch v3

Here's 6.0.1 with shebangfix, libqxp00, system cppunit.

The pdfium comment is kind of a note that we might like to have pdfium built in the future…

BTW, stage-qa complains about unstripped libraries under lib/libreoffice/program.

This is the commit that removed distro-pack-install-strip: https://github.com/LibreOffice/core/commit/0ba869fc5c13a29599fda7eb976b2e7959706e04

Looking at the Arch Linux PKGBUILD, they are just using distro-pack-install and not stripping anything…
Comment 7 Greg Veldman 2018-02-21 19:28:45 UTC
(In reply to Greg V from comment #6)

Heh, you and I were working on this at the same time.  The only issue I see is that, per bug 224284, LIB_DEPENDS needs port directory names libqxp00 changed to libqxp and libepubgen01 changed to libepubgen.

Running a test build now with your updated patch and the above two changes from mine.  Looks good so far, but my test system is not the fastest so it won't finish for a while...
Comment 8 Greg V 2018-02-21 19:31:53 UTC
Created attachment 190866 [details]
libreoffice6.patch v4

(In reply to Greg Veldman from comment #7)
Oh they were actually renamed, okay.
Comment 9 Li-Wen Hsu freebsd_committer 2018-02-22 03:23:52 UTC
Thanks and I'm testing it at my side.  In the mean time, please don't forget we also need to update the langpack packages, also note that some of them are not in the editors/ directory.
Comment 10 Li-Wen Hsu freebsd_committer 2018-02-22 06:28:42 UTC
It doesn't build on 10: https://gist.github.com/7a2c8775094fb949591f9ddc87e523e4

Is there any chance if we can fix this?  I guess specify newer compiler may work.
Comment 11 Greg Veldman 2018-02-22 14:54:21 UTC
Created attachment 190897 [details]
change disto-pack-install target to use the already-present install-strip target

As a further tweak, I update patch-Makefile.in to make the disto-pack-install target use install-strip instead of install, since it was still there.  This undoes the upstream change the other Greg mentioned in comment #6.  I'm posting this as a separate patch so as to not obsolete the current version of the larger patch, in case there's a cleaner way to do this.

With v4 of the larger patch, and my followup patch, 6.0.1 builds and installs cleanly on 11.1-RELEASE, and the installed binaries are stripped in accordance with FreeBSD ports guidelines.
Comment 12 Greg Veldman 2018-02-22 19:37:01 UTC
(In reply to Li-Wen Hsu from comment #10)

If I'm reading the macros correctly, adding USES=compiler:c++14-lang should trigger it to build with ports llvm (currently set to llvm50 as of r457360) on 10, yes?
Comment 13 Li-Wen Hsu freebsd_committer 2018-02-23 08:08:31 UTC
(In reply to Greg Veldman from comment #12)

Yes and I just completed a build test with it on 10.4-R i386 and amd64.

I think next step is updating i18n packages, and call for wider testing.
Comment 14 Greg Veldman 2018-02-23 14:00:22 UTC
(In reply to Li-Wen Hsu from comment #13)

OK, there may be one other issue.  In doing some functional testing of the new build on a fresh 11.1-RELEASE install, running throws some X11 errors and some UI elements don't render correctly.  Everything looks good on my main desktop system however (also 11.1-RELEASE).  So I think there may be some missing run depends in the new version.  I'll try to get those figured out today or tomorrow.  If I do, I'll upload a new patch with those added, the USES=compiler option, and the updated patch-Makefile.in (since nobody has objected to that) to strip the binaries.
Comment 15 Li-Wen Hsu freebsd_committer 2018-02-23 14:55:11 UTC
(In reply to Greg Veldman from comment #14)

Thanks, I'll also do tests on my -CURRENT laptop.

I keep my personal WIP is here: https://github.com/lwhsu/freebsd-ports-libreoffice

You can also check out some modifications there.  I am happy to open write access to you if you want.  Of course we can use this interface and I will integrate patches and keep here posted.
Comment 16 Danilo G. Baio freebsd_committer 2018-02-23 21:15:13 UTC
This update will fix CVE-2018-6871
Comment 17 Greg Veldman 2018-02-24 01:21:31 UTC
(In reply to Greg Veldman from comment #14)

So it appears there may have been something in my individual environment that was causing the runtime failures, I do not think this is a general-case problem.  Unless any of the other people on copy on this bug see issues, I would agree this is probably ready for broader testing.

Would you like me to submit an updated patch with my tweaks to the other Greg's v4 patch?
Comment 18 Li-Wen Hsu freebsd_committer 2018-02-24 13:38:38 UTC
(In reply to Greg Veldman from comment #17)

> Would you like me to submit an updated patch with my tweaks to the other Greg's v4 patch?

That will be great, of course.

I have integrated the patches from both of you, with minor tweaks from me, available here: https://github.com/lwhsu/freebsd-ports-libreoffice

If all your changes are in there, then you don't have to go through the whole patching process again.  I would like all of us can work on the same base so if you like to write to that repository, let me know and I am happy to config so.

Thanks for verifying it works on 11.1-R (amd64 I guess?)  I tested on my -CURRENT laptop but found some UI doesn't work.  I cannot check again in this weekend.

So, what the tasks left now:
- test on other supported released version and tier 1 arches.
- update language packages (I found there is new "hsb" package)
- try to upstream local patches (not block updating in the ports tree)
Comment 19 Greg Veldman 2018-02-24 14:58:06 UTC
(In reply to Li-Wen Hsu from comment #18)

Yes, amd64 for my desktop.  Looks like everything I have is in your working copy at GitHub.  If you want to give me write access in case I find anything else, that would be great, my GitHub username is gregsv.  I'll continue testing as I have time this weekend, and maybe try to tackle the i18n stuff.
Comment 20 Li-Wen Hsu freebsd_committer 2018-02-24 17:38:35 UTC
I18n packages updated, built fine in poudriere but haven't tested in X yet.
Comment 21 Greg Veldman 2018-02-25 22:01:09 UTC
(In reply to Li-Wen Hsu from comment #18)

>  I tested on my -CURRENT laptop but found some UI doesn't work.

Interesting, I wonder if we're seeing the same issue here.  In my testing one of the fairly obvious UI elements that was missing was the main menu bar.  Is this what you're seeing as well?  I'm only able to reproduce this in a specific test case, and after digging into it some more this weekend, I now know what is breaking, though I'm still not sure why.  This is the issue I'm seeing:

In vcl/unx/gtk3/gtk3gtkframe.cxx in function ensure_dbus_setup(), there's a call to g_bus_get_sync() to connect to the login session message bus if not already connected (this is on line 601).  For some reason this call is failing in one specific test case.  If unable to connect to the session bus, ensure_dbus_setup() returns FALSE on line 604.  Further down in this function, beginning on line 607, is the code to set up the menus, which is never called in this case.

So the good news is this appears to be a dbus issue and not a problem with this Libreoffice update.  I still haven't had time to figure out what's different about this one test case that's causing this issue though.
Comment 22 Li-Wen Hsu freebsd_committer 2018-02-27 10:13:28 UTC
(In reply to Greg Veldman from comment #21)

I am not sure if we are seeing the same issue.  I found some drop-down menu doesn't work, like this:

https://i.imgur.com/T1vKVQd.png

There should be a button next to "style", "font" and "font", as in 5.x:

https://i.imgur.com/act0h0l.png

I think it's abnormal, at least it is not like 6.x in OSX:

https://i.imgur.com/PCgPi0O.png

Still need more time to check this issue.
Comment 23 Greg Veldman 2018-02-27 18:09:52 UTC
(In reply to Li-Wen Hsu from comment #22)

OK, I can reproduce this one as well.  In addition, the scrollbar in my test is also missing (from what I can see in your screenshots, looks like that's the case for you as well).

In the limited time I've had to test this morning, it looks like it's related to the default options switch from GTK2 to GTK3.  I can work around the issue.  Start libreoffice with the environment variable GTK_DEBUG set to "interactive".  In addition to the libreoffice window, this will bring up a GTK debug window.  In the objects listing, select the last instance of GtkWindow, then GtkEventBox, then OOoFixed.  Select the "Visible" button at the top of the debugger.  Change the GTK+ Theme to Raleigh.  It doesn't look "good", but at least it restores the missing functionality.  It seems to also improve the button decorations in the menus, dialogs, etc.

https://www.gregv.net/lo_gtk3_raleigh.png

I have not done a lot of GTK3 debugging, so this is kind of new territory for me personally.  If someone else sees this that has more experience and this at least points them in the right direction, that'd be great.  Otherwise I'll continue to explore it as I have time.  I'm rebuilding LO with internal debug flags turned on now to see if I can get anything more out of it, but I'm not sure if that's really the right place to look at this point.

As an aside, I also have a Debian unstable system, and I installed LO 6 on it (from the Debian repo) and it appears they're shipping it with GTK2.  I haven't looked on any other distros.

As at least an interim fix, perhaps we can change the default options back to GTK2 for now.  If it works that way, it'd at least get LO 6 into ports (which would be a Good Thing (tm)) now, and we can explore the change to GTK3 later.  I think that's my next step on my test VM when my debug build finishes.  Greg V, since you opened this initially, care to weigh in at all on this?
Comment 24 Li-Wen Hsu freebsd_committer 2018-02-27 18:31:40 UTC
(In reply to Greg Veldman from comment #23)

I personally like the idea of fallback to GTK2, and we probably need to keep "experimental" note with GTK3.  We can call for help on -x11 and/or -gnome lists.

Updating this port solves CVE-2018-6871 so it's really good to have a working one in the ports tree and on pkg.freebsd.org.
Comment 25 Greg Veldman 2018-02-27 21:10:49 UTC
(In reply to Li-Wen Hsu from comment #24)

> Updating this port solves CVE-2018-6871 so it's really good to have a working one in the ports tree and on pkg.freebsd.org.

Yes, I agree completely.  I have a new build with GTK2 running now.  If it looks like this solves the issues, I'll commit that change to your working copy on GitHub (the build should be done and I should be ready to test later this evening).  If it looks like it's going to be too much work to get 6 working, I'll probably open another PR to get 5 updated to the latest patch to fix this vulnerability.  But I'd like to get to 6 if we can.
Comment 26 Greg V 2018-02-27 21:27:08 UTC
Yeah, I always had the thing with the no borders/background on dropdowns/buttons/checkboxes/etc on GTK3. It's not a problem for me, I actually like the accidental flat design :D

But I wonder if there's something in LibreOffice that sets some GTK property and it's ifdef'd to Linux…

I started this whole patch specifically because I wanted GTK3 — because Wayland.

Sure, you can go ahead with GTK2 for now. Maybe gtk 2 and 3 flavors?
Comment 27 Greg Veldman 2018-02-27 21:59:51 UTC
(In reply to Greg V from comment #26)

Yeah, I wouldn't propose taking GTK3 out completely, just making it the non-default option.  Since the v5 port currently uses GTK2, this would be the minimal change for the most people, probably good in the interest of getting this updated quickly to patch the WEBSERVICE bug.  If we can get the GTK3 stuff figured out, I'm all for changing the default at some point in the future.  And if you want it, you'd always be able to set it in your personal ports config and build. ;-)
Comment 28 Jung-uk Kim freebsd_committer 2018-02-27 22:14:26 UTC
If both GTK3 and GTK2 are enabled, GTK3 is selected by default.  You can manually select it via SAL_USE_VCLPLUGIN environment variable.

https://wiki.archlinux.org/index.php/LibreOffice#Theme
Comment 29 Greg Veldman 2018-02-28 03:33:17 UTC
Reverting to GTK2 as the default option seems to fix all previously documented issues on 11.1-R, including the dbus issue I found in comment #21.  I pushed this change to Li-Wen's staging area on GitHub.
Comment 30 Walter Schwarzenfeld freebsd_triage 2018-03-01 18:23:01 UTC
My question is: Is this Bug #197071 included, or is this PR out of time.
Comment 31 Walter Schwarzenfeld freebsd_triage 2018-03-01 18:24:49 UTC
Same for this PR Bug#203776.
Comment 32 Kurt Jaeger freebsd_committer 2018-03-04 07:52:31 UTC
testbuild on 11.1a looks fine, simple run-test looks fine.
Comment 33 Walter Schwarzenfeld freebsd_triage 2018-03-10 22:19:13 UTC
Request for systray in bug #225828.
Comment 34 commit-hook freebsd_committer 2018-03-17 06:32:06 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Mar 17 06:31:20 UTC 2018
New revision: 464758
URL: https://svnweb.freebsd.org/changeset/ports/464758

Log:
  - Update LibreOffice to 6.0.2 [1]
  - Build offline help when DOCS option enabled [2]
  - Fix bad symlink and add missing dependencies [3]

  PR:		224288 [1] 197071 [2] 226344 [3]
  Submitted by:	Greg V <greg@unrelenting.technology> [1]
  		bergerkos@yahoo.co.uk [2]
  Reported by:	joneum [3]
  Helped & tested by:	Daniel Ebdrup
  			Greg Veldman <freebsd@gregv.net>
  			Per olof Ljungmark <peo@nethead.se>
  			StariKarp <starikarp@yandex.com>
  			pi
  Security:	289269f1-0def-11e8-99b0-d017c2987f9a

Changes:
  head/arabic/libreoffice/distinfo
  head/arabic/libreoffice/pkg-descr
  head/chinese/libreoffice-zh_CN/distinfo
  head/chinese/libreoffice-zh_CN/pkg-descr
  head/chinese/libreoffice-zh_TW/distinfo
  head/chinese/libreoffice-zh_TW/pkg-descr
  head/editors/libreoffice/Makefile
  head/editors/libreoffice/Makefile.common
  head/editors/libreoffice/Makefile.i18n
  head/editors/libreoffice/distinfo
  head/editors/libreoffice/files/patch-Makefile.in
  head/editors/libreoffice/files/patch-bin_distro-install-desktop-integration
  head/editors/libreoffice/files/patch-configure
  head/editors/libreoffice/files/patch-libreofficekit_source_gtk_lokdocview.cxx
  head/editors/libreoffice/files/patch-sal_osl_unx_system.cxx
  head/editors/libreoffice/files/patch-sal_osl_unx_thread.cxx
  head/editors/libreoffice/files/patch-sc_source_filter_inc_orcusinterface.hxx
  head/editors/libreoffice/files/patch-sc_source_filter_orcus_interface.cxx
  head/editors/libreoffice/files/patch-sc_source_ui_docshell_datastream.cxx
  head/editors/libreoffice/files/patch-sfx2_source_control_emojiview.cxx
  head/editors/libreoffice/files/patch-shell_source_unix_exec_shellexec.cxx
  head/editors/libreoffice/files/patch-sysui_desktop_share_create_tree.sh
  head/editors/libreoffice/files/patch-vcl_CppunitTest__vcl__wmf__test.mk
  head/editors/libreoffice/files/patch-vcl_Executable__visualbackendtest.mk
  head/editors/libreoffice/files/patch-vcl_Library__vcl.mk
  head/editors/libreoffice/files/patch-vcl_source_app_svapp.cxx
  head/editors/libreoffice/files/patch-vcl_unx_gtk_fpicker_SalGtkFilePicker.cxx
  head/editors/libreoffice/pkg-descr.i18n
  head/editors/libreoffice-af/distinfo
  head/editors/libreoffice-af/pkg-descr
  head/editors/libreoffice-am/distinfo
  head/editors/libreoffice-am/pkg-descr
  head/editors/libreoffice-as/distinfo
  head/editors/libreoffice-as/pkg-descr
  head/editors/libreoffice-ast/distinfo
  head/editors/libreoffice-ast/pkg-descr
  head/editors/libreoffice-be/distinfo
  head/editors/libreoffice-be/pkg-descr
  head/editors/libreoffice-bg/distinfo
  head/editors/libreoffice-bg/pkg-descr
  head/editors/libreoffice-bn/distinfo
  head/editors/libreoffice-bn/pkg-descr
  head/editors/libreoffice-bn_IN/distinfo
  head/editors/libreoffice-bn_IN/pkg-descr
  head/editors/libreoffice-bo/distinfo
  head/editors/libreoffice-bo/pkg-descr
  head/editors/libreoffice-br/distinfo
  head/editors/libreoffice-br/pkg-descr
  head/editors/libreoffice-brx/distinfo
  head/editors/libreoffice-brx/pkg-descr
  head/editors/libreoffice-bs/distinfo
  head/editors/libreoffice-bs/pkg-descr
  head/editors/libreoffice-ca/distinfo
  head/editors/libreoffice-ca/pkg-descr
  head/editors/libreoffice-ca_valencia/distinfo
  head/editors/libreoffice-ca_valencia/pkg-descr
  head/editors/libreoffice-cs/distinfo
  head/editors/libreoffice-cs/pkg-descr
  head/editors/libreoffice-cy/distinfo
  head/editors/libreoffice-cy/pkg-descr
  head/editors/libreoffice-da/distinfo
  head/editors/libreoffice-da/pkg-descr
  head/editors/libreoffice-dgo/distinfo
  head/editors/libreoffice-dgo/pkg-descr
  head/editors/libreoffice-dz/distinfo
  head/editors/libreoffice-dz/pkg-descr
  head/editors/libreoffice-el/distinfo
  head/editors/libreoffice-el/pkg-descr
  head/editors/libreoffice-en_GB/distinfo
  head/editors/libreoffice-en_GB/pkg-descr
  head/editors/libreoffice-en_ZA/distinfo
  head/editors/libreoffice-en_ZA/pkg-descr
  head/editors/libreoffice-eo/distinfo
  head/editors/libreoffice-eo/pkg-descr
  head/editors/libreoffice-es/distinfo
  head/editors/libreoffice-es/pkg-descr
  head/editors/libreoffice-et/distinfo
  head/editors/libreoffice-et/pkg-descr
  head/editors/libreoffice-eu/distinfo
  head/editors/libreoffice-eu/pkg-descr
  head/editors/libreoffice-fa/distinfo
  head/editors/libreoffice-fa/pkg-descr
  head/editors/libreoffice-fi/distinfo
  head/editors/libreoffice-fi/pkg-descr
  head/editors/libreoffice-ga/distinfo
  head/editors/libreoffice-ga/pkg-descr
  head/editors/libreoffice-gd/distinfo
  head/editors/libreoffice-gd/pkg-descr
  head/editors/libreoffice-gl/distinfo
  head/editors/libreoffice-gl/pkg-descr
  head/editors/libreoffice-gu/distinfo
  head/editors/libreoffice-gu/pkg-descr
  head/editors/libreoffice-gug/distinfo
  head/editors/libreoffice-gug/pkg-descr
  head/editors/libreoffice-hi/distinfo
  head/editors/libreoffice-hi/pkg-descr
  head/editors/libreoffice-hr/distinfo
  head/editors/libreoffice-hr/pkg-descr
  head/editors/libreoffice-hsb/
  head/editors/libreoffice-hsb/Makefile
  head/editors/libreoffice-hsb/distinfo
  head/editors/libreoffice-i18n/Makefile
  head/editors/libreoffice-id/distinfo
  head/editors/libreoffice-id/pkg-descr
  head/editors/libreoffice-is/distinfo
  head/editors/libreoffice-is/pkg-descr
  head/editors/libreoffice-it/distinfo
  head/editors/libreoffice-it/pkg-descr
  head/editors/libreoffice-ka/distinfo
  head/editors/libreoffice-ka/pkg-descr
  head/editors/libreoffice-kk/distinfo
  head/editors/libreoffice-kk/pkg-descr
  head/editors/libreoffice-km/distinfo
  head/editors/libreoffice-km/pkg-descr
  head/editors/libreoffice-kmr_Latn/distinfo
  head/editors/libreoffice-kmr_Latn/pkg-descr
  head/editors/libreoffice-kn/distinfo
  head/editors/libreoffice-kn/pkg-descr
  head/editors/libreoffice-kok/distinfo
  head/editors/libreoffice-kok/pkg-descr
  head/editors/libreoffice-ks/distinfo
  head/editors/libreoffice-ks/pkg-descr
  head/editors/libreoffice-lb/distinfo
  head/editors/libreoffice-lb/pkg-descr
  head/editors/libreoffice-lo/distinfo
  head/editors/libreoffice-lo/pkg-descr
  head/editors/libreoffice-lt/distinfo
  head/editors/libreoffice-lt/pkg-descr
  head/editors/libreoffice-lv/distinfo
  head/editors/libreoffice-lv/pkg-descr
  head/editors/libreoffice-mai/distinfo
  head/editors/libreoffice-mai/pkg-descr
  head/editors/libreoffice-mk/distinfo
  head/editors/libreoffice-mk/pkg-descr
  head/editors/libreoffice-ml/distinfo
  head/editors/libreoffice-ml/pkg-descr
  head/editors/libreoffice-mn/distinfo
  head/editors/libreoffice-mn/pkg-descr
  head/editors/libreoffice-mni/distinfo
  head/editors/libreoffice-mni/pkg-descr
  head/editors/libreoffice-mr/distinfo
  head/editors/libreoffice-mr/pkg-descr
  head/editors/libreoffice-my/distinfo
  head/editors/libreoffice-my/pkg-descr
  head/editors/libreoffice-nb/distinfo
  head/editors/libreoffice-nb/pkg-descr
  head/editors/libreoffice-ne/distinfo
  head/editors/libreoffice-ne/pkg-descr
  head/editors/libreoffice-nl/distinfo
  head/editors/libreoffice-nl/pkg-descr
  head/editors/libreoffice-nn/distinfo
  head/editors/libreoffice-nn/pkg-descr
  head/editors/libreoffice-nr/distinfo
  head/editors/libreoffice-nr/pkg-descr
  head/editors/libreoffice-nso/distinfo
  head/editors/libreoffice-nso/pkg-descr
  head/editors/libreoffice-oc/distinfo
  head/editors/libreoffice-oc/pkg-descr
  head/editors/libreoffice-om/distinfo
  head/editors/libreoffice-om/pkg-descr
  head/editors/libreoffice-or/distinfo
  head/editors/libreoffice-or/pkg-descr
  head/editors/libreoffice-pa_IN/distinfo
  head/editors/libreoffice-pa_IN/pkg-descr
  head/editors/libreoffice-ro/distinfo
  head/editors/libreoffice-ro/pkg-descr
  head/editors/libreoffice-rw/distinfo
  head/editors/libreoffice-rw/pkg-descr
  head/editors/libreoffice-sa_IN/distinfo
  head/editors/libreoffice-sa_IN/pkg-descr
  head/editors/libreoffice-sat/distinfo
  head/editors/libreoffice-sat/pkg-descr
  head/editors/libreoffice-sd/distinfo
  head/editors/libreoffice-sd/pkg-descr
  head/editors/libreoffice-si/distinfo
  head/editors/libreoffice-si/pkg-descr
  head/editors/libreoffice-sid/distinfo
  head/editors/libreoffice-sid/pkg-descr
  head/editors/libreoffice-sk/distinfo
  head/editors/libreoffice-sk/pkg-descr
  head/editors/libreoffice-sl/distinfo
  head/editors/libreoffice-sl/pkg-descr
  head/editors/libreoffice-sq/distinfo
  head/editors/libreoffice-sq/pkg-descr
  head/editors/libreoffice-sr/distinfo
  head/editors/libreoffice-sr/pkg-descr
  head/editors/libreoffice-sr_Latn/distinfo
  head/editors/libreoffice-sr_Latn/pkg-descr
  head/editors/libreoffice-ss/distinfo
  head/editors/libreoffice-ss/pkg-descr
  head/editors/libreoffice-st/distinfo
  head/editors/libreoffice-st/pkg-descr
  head/editors/libreoffice-sv/distinfo
  head/editors/libreoffice-sv/pkg-descr
  head/editors/libreoffice-sw_TZ/distinfo
  head/editors/libreoffice-sw_TZ/pkg-descr
  head/editors/libreoffice-ta/distinfo
  head/editors/libreoffice-ta/pkg-descr
  head/editors/libreoffice-te/distinfo
  head/editors/libreoffice-te/pkg-descr
  head/editors/libreoffice-tg/distinfo
  head/editors/libreoffice-tg/pkg-descr
  head/editors/libreoffice-th/distinfo
  head/editors/libreoffice-th/pkg-descr
  head/editors/libreoffice-tn/distinfo
  head/editors/libreoffice-tn/pkg-descr
  head/editors/libreoffice-tr/distinfo
  head/editors/libreoffice-tr/pkg-descr
  head/editors/libreoffice-ts/distinfo
  head/editors/libreoffice-ts/pkg-descr
  head/editors/libreoffice-tt/distinfo
  head/editors/libreoffice-tt/pkg-descr
  head/editors/libreoffice-ug/distinfo
  head/editors/libreoffice-ug/pkg-descr
  head/editors/libreoffice-uz/distinfo
  head/editors/libreoffice-uz/pkg-descr
  head/editors/libreoffice-ve/distinfo
  head/editors/libreoffice-ve/pkg-descr
  head/editors/libreoffice-vec/distinfo
  head/editors/libreoffice-vec/pkg-descr
  head/editors/libreoffice-xh/distinfo
  head/editors/libreoffice-xh/pkg-descr
  head/editors/libreoffice-zu/distinfo
  head/editors/libreoffice-zu/pkg-descr
  head/french/libreoffice/distinfo
  head/french/libreoffice/pkg-descr
  head/german/libreoffice/distinfo
  head/german/libreoffice/pkg-descr
  head/hebrew/libreoffice/distinfo
  head/hebrew/libreoffice/pkg-descr
  head/hungarian/libreoffice/distinfo
  head/hungarian/libreoffice/pkg-descr
  head/japanese/libreoffice/distinfo
  head/japanese/libreoffice/pkg-descr
  head/korean/libreoffice/distinfo
  head/korean/libreoffice/pkg-descr
  head/polish/libreoffice/distinfo
  head/polish/libreoffice/pkg-descr
  head/portuguese/libreoffice/distinfo
  head/portuguese/libreoffice/pkg-descr
  head/portuguese/libreoffice-pt_BR/distinfo
  head/portuguese/libreoffice-pt_BR/pkg-descr
  head/russian/libreoffice/distinfo
  head/russian/libreoffice/pkg-descr
  head/ukrainian/libreoffice/distinfo
  head/ukrainian/libreoffice/pkg-descr
  head/vietnamese/libreoffice/distinfo
  head/vietnamese/libreoffice/pkg-descr